<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function asin

Calculate the inverse sine of a value.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.asin(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; BigNumber &#124; Complex &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; BigNumber &#124; Complex &#124; Array &#124; Matrix | The arc sine of x


### Throws

Type | Description
---- | -----------


## Examples

```js
math.asin(0.5)           // returns number 0.5235987755982989
math.asin(math.sin(1.5)) // returns number ~1.5

math.asin(2)             // returns Complex 1.5707963267948966 -1.3169578969248166 i
```


## See also

[sin](sin.md),
[atan](atan.md),
[acos](acos.md)
